Create a report and optional schedule
POST
/orgs/{organizationId}/projects/{projectId}/reportsCreate a report and optional schedule within the selected project. Uses the app's permissions and entitlements.
AuthorizationBearer <token>
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
organizationId*string
Length
1 <= lengthprojectId*string
Length
1 <= lengthHeader Parameters
Idempotency-Key*string
Reuse for retries of the same action for 24 hours. A changed body returns 409.
Length
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orgs/string/projects/string/reports" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "string", "projectId": "string", "name": "string", "rangeDays": 0, "filter": { "unreadOnly": true, "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z", "platforms": [ "reddit" ], "sentiments": [ "positive" ], "statuses": [ "new" ], "keywordIds": [ "string" ], "labels": [ "string" ], "subjects": [ "brand" ], "replyCalls": [ "reply_now" ], "languages": [ "str" ], "minRelevance": 0, "includeFiltered": true, "view": "reply-now", "assigneeId": "string", "query": "string", "sort": "best", "limit": 1, "offset": 0 }, "enabled": true, "intervalSeconds": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "property1": "string", "property2": "string" }, "meta": { "requestId": "string", "replayed": true }}